<!---
*
* Project: Mediastork
* Modified: 20-01-2006
*

README

Thanks for your interest in Mediastork.
This server application allows you to:
- ADD/EDIT/DELETE Records
- Manage:
	* Movies
	* Music
	* TV Series
	* Anime
	* Consoles Games
	* DVD's
- Play Content:
	* Video Formats: AVI, OGM, MKV, DIVX, MPG, ratDVD, VOB
	* Music Formats: MP3, OGG
	* Games Formats: Gameboy, Super Nintendo, Sega Genesis, Gameboy Advance
- Sort Content:
	* ID, Date, Name, Rating, Year (Release) / DESC & ASC


The Mediastork Application also allows you to access your medialibrary from anywhere in
the world if your server is connected to the internet.
Mediastork has also the ability to play/stream your movies & music through remote locations.

Basically your personal media archive, access anywhere, anytime you want.


* INSTALLATION INSTRUCTIONS ========

Our test environment:
	* Coldfusion 6.x or higher
	* MySQL 4.x or higher
	* CFXImage (Gafware)
	* Additional: Codecs / Emulators
	
See website for detailed installation instructions
http://www.mediastork.com

************************************************
CHANGE THE VARIABLES BELOW TO FIT YOUR NEEDS !!!

--->

<!--- Coldfusion MySql Connection --->
<cfset database="mediastork">
<cfset table = "library">
<cfset user="root">
<cfset pass="">

<!--- Extra --->
<cfset xboxThumb = false><!--- Let mediastork generate a mini Thumbnail for the media file which will show up on your xbox --->
<cfset defaultSkin = "blue"><!--- "blue" or "black" --->


<!--- mediastork Application Settings --->

<!--- Administrator --->
<cfset adminName = "admin">
<cfset adminPass = "">

<!--- Regular User --->
<cfset userName = "user">
<cfset userPass = "">


<!---	********** 
		Movie Vars 

	Your system movie folders on the computer. --->

	<cfset localDrive_Movies = ArrayNew(1)>
	<cfset localDrive_Movies[1] = "C:/Movies/">
	<cfset localDrive_Movies[2] = "D:/Movies/">
	
	<!--- Your network based movie folders on the computer (for remote viewing). --->

	<cfset remoteDrive_Movies = ArrayNew(1)>
	<cfset remoteDrive_Movies[1] = "\\server\c\Movies\">
	<cfset remoteDrive_Movies[2] = "\\server\d\Movies\">


	<!--- File Format Array ---> 
	<cfset formatArray = ArrayNew(1)> 
	<cfset formatArray[1] = "avi"> 
	<cfset formatArray[2] = "ogm"> 
	<cfset formatArray[3] = "mkv"> 
	<cfset formatArray[4] = "asf"> 
	<cfset formatArray[5] = "mpg"> 
	<cfset formatArray[6] = "mpeg"> 
	<cfset formatArray[7] = "ratDVD"> 
		
		
<!---	********
		DVD Vars
		(make sure to have the DVDs organized as follow)
		(example: C:/DVDs/Fight Club/VIDEO_TS/-files- )
	
	Your system dvd folders on the computer. --->

	<cfset localDrive_DVDs = ArrayNew(1)>
	<cfset localDrive_DVDs[1] = "C:/DVDs/">

	<!--- Your network based dvd folders on the computer (for remote viewing). --->

	<cfset remoteDrive_DVDs = ArrayNew(1)>
	<cfset remoteDrive_DVDs[1] = "\\server\c\DVDs\">


<!---	*****************
		Series Vars
			 
	Your system series folders on the computer. --->

	<cfset localDrive_Series = ArrayNew(1)>
	<cfset localDrive_Series[1] = "c:/Anime/">
	<cfset localDrive_Series[2] = "d:/Cartoons/">

	<!--- Your network based series folders on the computer (for remote viewing). --->

	<cfset remoteDrive_Series = ArrayNew(1)>
	<cfset remoteDrive_Series[1] = "\\server\c\Anime\">
	<cfset remoteDrive_Series[2] = "\\server\d\Cartoons\">	


<!---	*****************
		Music Vars
			 
	Your system music folders on the computer. --->

	<cfset localDrive_Music = ArrayNew(1)>
	<cfset localDrive_Music[1] = "C:/Audio/Albums/">
	<cfset localDrive_Music[2] = "C:/Audio/Singles/">

	<!--- Your network based music folders on the computer (for remote viewing). --->

	<cfset remoteDrive_Music = ArrayNew(1)>
	<cfset remoteDrive_Music[1] = "../Audio/Albums/">
	<cfset remoteDrive_Music[2] = "../Audio/Singles/">
	
	
<!---	*****************
		Games Vars
			 
	Your system games folders on the computer. --->

	<cfset localDrive_Games = ArrayNew(1)>
	<cfset localDrive_Games[1] = "c:/Consoles/">

	<!--- Your network based games folders on the computer (for remote viewing). --->

	<cfset remoteDrive_Games = ArrayNew(1)>
	<cfset remoteDrive_Games[1] = "\\server\c\Consoles\">
